<?xml version="1.0" encoding="utf-8"?>
<!--
CPU available frequencies:
691200 806400 940800 1152000 1324800 1516800 1651200 1804800
691200 806400 940800 1152000 1324800 1516800 1651200 1804800
691200 806400 940800 1152000 1324800 1516800 1651200 1804800
691200 806400 940800 1152000 1324800 1516800 1651200 1804800
691200 940800 1228800 1344000 1516800 1651200 1900800 2054400 2131200 2400000
691200 940800 1228800 1344000 1516800 1651200 1900800 2054400 2131200 2400000
691200 940800 1228800 1344000 1516800 1651200 1900800 2054400 2131200 2400000
806400 1056000 1324800 1516800 1766400 1862400 2035200 2208000 2380800 2400000

GPU freqyebcues：
550000000 450000000 315000000

DDR frequencies：
19200  
200000 
300000 
451200 
547200 
681600 
768000 
1017600
1353600
1555200
1804800
2092800

-->
<policy version="1.0">
    <cmd id="1" name="qcom_cpu_info">
        <action>
            <big_cpu_num>7-7</big_cpu_num>
            <mid_cpu_num>4-6</mid_cpu_num>
            <lit_cpu_num>0-3</lit_cpu_num>
        </action>
    </cmd>

    <cmd id="4096" name="touch_move">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <lpm_bias_hyst>50</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="4098" name="window_switch">
        <action>
            <duration_ms>500</duration_ms> <!-- 500 -->
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2208000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <sched_min_task_util_for_colocation>20</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>30</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <sched_busy_hystersis_cpu_mask>255</sched_busy_hystersis_cpu_mask> <!-- 0xFF, 8-core -->
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>60</uclamp_graphic>
        </action>
    </cmd>
	<cmd id="13253" name="video_uclamp_boost">
	    <action>
	        <duration_ms>0</duration_ms>
	        <uclamp_vip>1</uclamp_vip>
	    </action>
	</cmd>
    <cmd id="4099" name="app_start">
        <action>
            <duration_ms>1500</duration_ms> <!-- 3000 -->
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
	        <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <cx_power_optimize_ctl>0</cx_power_optimize_ctl>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>60</uclamp_graphic>			
        </action>
        <action>
            <duration_ms>2000</duration_ms>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
			<sched_busy_hystersis_cpu_mask>240</sched_busy_hystersis_cpu_mask> <!-- 0xF0, 4-core -->
        </action>
    </cmd>

    <cmd id="4102" name="screen_on">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4103" name="finger_print">
        <action>
            <duration_ms>500</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4104" name="status_bar">
        <action>
            <duration_ms>200</duration_ms> <!-- 200 -->
            <sched_boost>1</sched_boost>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq> 
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4105" name="rotation">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <gpu_min_freq>587</gpu_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4106" name="lucky_money">
        <action>
            <duration_ms>500</duration_ms> <!-- 500 -->
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4112" name="list_fling">
        <action>
            <duration_ms>5000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1324800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1228800</middle_cpu0_min_freq>
            <gpu_min_freq>400000000</gpu_min_freq>
            <power_collapse>1</power_collapse>
            <gpu_min_power_level>1</gpu_min_power_level>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>60</uclamp_graphic>			
        </action>
    </cmd>

    <!-- set iaware default value -->
    <cmd id="4113" name="iaware_default">
        <action>
            <duration_ms>0</duration_ms>
            <gov_big_cpu_load>89</gov_big_cpu_load>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <!-- set iaware screen off eas value -->
    <cmd id="4114" name="iaware_eas_screen_off">
        <action>
            <duration_ms>0</duration_ms>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>0</uclamp_graphic> 			
        </action>
    </cmd>

    <cmd id="4116" name="probe">
        <action>
            <duration_ms>100</duration_ms>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4118" name="special_scene">
        <action>
            <duration_ms>0</duration_ms>
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <!--from 4394 to 4398, for touch boost. cmd id begin-->
    <cmd id="4394" name="touch_boost_level_1">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>			
        </action>
    </cmd>

    <cmd id="4395" name="touch_boost_level_2">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1652100</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4396" name="touch_boost_level_3">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4397" name="touch_boost_level_4">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="4398" name="touch_boost_level_5">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1652100</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2054400</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <!--from 4394 to 4398, for touch boost. cmd id end-->

    <cmd id="4399" name="warm_start">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq> 
            <middle_cpu0_max_freq>2400000</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2208000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <gpu_min_freq>400000000</gpu_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <sched_down_migrate>40</sched_down_migrate> <!-- 0x28, 0~100%, default 85 -->
            <sched_down_migrate_prime>40</sched_down_migrate_prime> <!-- 0x28, 0~100%, default 85 -->
            <sched_up_migrate>85</sched_up_migrate> <!-- 0x3C, 0~100%, default 95 -->
            <sched_up_migrate_prime>85</sched_up_migrate_prime> <!-- 0x3C, 0~100%, default 95 -->
            <sched_group_downmigrate>45</sched_group_downmigrate> <!-- 0x2D, 0~100%, default 85 -->
            <sched_group_upmigrate>85</sched_group_upmigrate> <!-- 0x41, 0~100%, default 100 -->
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
        </action>
    </cmd>
    <cmd id="4400" name="click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1228800</middle_cpu0_min_freq>
            <gpu_min_freq>400</gpu_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="4401" name="click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq> 
            <gpu_min_freq>443</gpu_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
	
    <cmd id="4402" name="slide_normal">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1228800</middle_cpu0_min_freq> 
            <gpu_min_freq>400</gpu_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <lpm_bias_hyst>99</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <walt_low_latency_task_threshold>100</walt_low_latency_task_threshold>  <!-- default 325; 120/144fps: 100 -->
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="4403" name="slide_boost">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1228800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1324800</big_cpu0_min_freq>            
            <gpu_min_freq>443</gpu_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35  -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51  -->
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <!--from 4405 to 4414, for itouch perf level. cmd id begin-->
    <cmd id="4405" name="itouch_perf_level_1">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2208000</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4406" name="itouch_perf_level_2">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2265600</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4407" name="itouch_perf_level_3">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1652100</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4408" name="itouch_perf_level_4">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="4409" name="itouch_perf_level_5">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <!--from 4405 to 4414, for itouch perf level. cmd id end-->
	<!--from 4412 to 4415, for soc intelligent schedule. cmd id start-->
    <cmd id="4412" name="slide_normal_remove_boost">
        <action>
            <duration_ms>250</duration_ms>
            <gpu_min_freq>400</gpu_min_freq>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>

    </cmd>
	
    <cmd id="4413" name="slide_boost_remove_boost">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>1152000</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1228800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1324800</big_cpu0_min_freq>            
            <gpu_min_freq>443</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>

    </cmd>
	<!--from 4412 to 4415, for soc intelligent schedule. cmd id end-->

    <cmd id="4415" name="camera_start">
        <action>
            <duration_ms>5000</duration_ms> <!-- 2000 -->
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <sched_min_task_util_for_colocation>75</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>90</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>80</uclamp_graphic>
        </action>

    </cmd>

    <!--for quickstep, DTS2018072501811 -->
    <cmd id="4416" power="13205" name="quickstep">
        <action>
            <duration_ms>450</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1324000</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1344000</middle_cpu0_min_freq>
            <gpu_min_freq>587</gpu_min_freq>
            <sched_min_task_util_for_colocation>0</sched_min_task_util_for_colocation> <!-- qcom:0, 0~100%, default 35 -->
            <sched_min_task_util_for_boost>0</sched_min_task_util_for_boost> <!-- qcom:0, 0~100%, default 51 -->
            <power_collapse>1</power_collapse>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>70</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="5376" name="set_default_level"> <!--group num must be (eas:8, hmp:1)-->
        <action>
            <duration_ms>0</duration_ms>
            <hmp>0</hmp>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="5377" power="13205" name="decode_opt">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1324000</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="5378" name="touch_down">
        <action>
            <duration_ms>200</duration_ms>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>60</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="5379" name="touch_up">
        <action>
            <duration_ms>200</duration_ms>
            <lpm_bias_hyst>39</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="12289" name="low_temp_tsh">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_max_freq>1152000</little_cpu0_max_freq>
            <middle_cpu0_max_freq>1228800</middle_cpu0_max_freq>
            <big_cpu0_max_freq>1324800</big_cpu0_max_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12290" name="bcpu_level_1">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12291" name="bcpu_level_2">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12292" name="bcpu_level_3">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1651200</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12297" name="DDR_power_collapse">
        <action>
            <duration_ms>0</duration_ms>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12300" name="gpu_level_0">
        <action>
            <duration_ms>0</duration_ms>
            <gpu_min_freq>315</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12301" name="gpu_level_1">
        <action>
            <duration_ms>0</duration_ms>
            <gpu_min_freq>450</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12302" name="gpu_level_2">
        <action>
            <duration_ms>0</duration_ms>
            <gpu_min_freq>550</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12303" name="boost_bcpu_level_0">
        <action>
            <duration_ms>5000</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12310" name="bcpu_level_11">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12311" name="bcpu_level_12">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1651200</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="12312" name="bcpu_level_20">
        <action>
            <duration_ms>20000</duration_ms>
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="12354" name="gov_scene_level_4">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>90</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>90</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>90</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_load>90</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12355" name="gov_scene_level_0">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>90</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>	
            <gov_mid_cpu_load>120</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_load>90</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="12356" name="gov_scene_level_5">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>90</gov_mid_cpu_delay_up>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <!--0x4f00~0x4fff, for notification event-->
    <cmd id="13000" name="Base0">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1766400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13001" name="Base1">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
		</action>
    </cmd>
    <cmd id="13010" name="CPU_16">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13011" name="CPU_17">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13012" name="CPU_183">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1766400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13013" name="CPU_189">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13014" name="CPU_19">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="13015" name="big-lit-01">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1401600</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13016" name="big-lit-02">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1516800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1516800</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13021" name="big-lit-1">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_min_freq>1651200</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1651200</middle_cpu0_min_freq>
            <big_cpu0_min_freq>1766400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13022" name="big-lit-2">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <big_cpu0_min_freq>1862400</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13023" name="big-lit-3">
        <action>
            <duration_ms>0</duration_ms>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13024" name="big-lit-4">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13025" name="big-lit-5">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13026" name="big-lit-6">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <gpu_min_freq>490</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13027" name="big-lit-7">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_freq>525</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <cmd id="13028" name="big-lit-8">
        <action>
            <duration_ms>0</duration_ms>
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq>
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_freq>670</gpu_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id begin-->
    <cmd id="13050" name="game_start_05">
        <action>
            <duration_ms>5000</duration_ms> <!-- 5000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="13051" name="game_start_10">
        <action>
            <duration_ms>10000</duration_ms> <!-- 10000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="13052" name="game_start_20">
        <action>
            <duration_ms>20000</duration_ms> <!-- 20000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <gpu_min_power_level>0</gpu_min_power_level>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="13053" name="game_start_30">
        <action>
            <duration_ms>30000</duration_ms> <!-- 30000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <gpu_min_power_level>1</gpu_min_power_level>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="13054" name="game_start_40">
        <action>
            <duration_ms>40000</duration_ms> <!-- 40000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <cmd id="13055" name="game_start_15">
        <action>
            <duration_ms>15000</duration_ms> <!-- 15000 -->
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>2400000</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2400000</big_cpu0_min_freq>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id end-->

    <cmd id="13120" power="13205" name="ime_touchdown_boost">
        <action>
            <duration_ms>80</duration_ms>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq> 
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq> 
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>40</uclamp_graphic>
        </action>
    </cmd>
    
    <cmd id="13250" name="camera_scan">
        <action>
            <duration_ms>8000</duration_ms>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="13251" name="scan_boost">
        <action>
            <duration_ms>6000</duration_ms>
            <little_cpu0_min_freq>1516800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2054400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2400000</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2208000</big_cpu0_min_freq>
            <big_cpu0_max_freq>2400000</big_cpu0_max_freq>
            <power_collapse>1</power_collapse>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
        </action>
    </cmd>

    <cmd id="13271" name="animation_boost">
        <action>
            <duration_ms>1000</duration_ms>
            <middle_cpu0_min_freq>1900800</middle_cpu0_min_freq>
            <gpu_min_freq>608</gpu_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <power_collapse>1</power_collapse>
            <boost_cpu_limit1>7</boost_cpu_limit1>
            <boost_cpu_limit2>7</boost_cpu_limit2>
            <boost_cpu_limit3>7</boost_cpu_limit3>
            <uclamp_graphic>90</uclamp_graphic>
        </action>
    </cmd>

    <cmd id="13290" name="superwallpaper_boost">
        <action>
            <duration_ms>1200</duration_ms>
            <uclamp_foreground>40</uclamp_foreground>
        </action>
    </cmd>

</policy>
